////////////////////////////////////////////////////////////
//	FILE:		user.h
//	CONTAINS:	prototypes for user functions
////////////////////////////////////////////////////////////

#include "tcl.h"

#include "track.h"

int sim_start(ClientData clientData,
		   Tcl_Interp *interp,
		   int argc, char **argv);

int sim_stop(ClientData clientData,
		   Tcl_Interp *interp,
		   int argc, char **argv);

int sim_reset(ClientData clientData,
		   Tcl_Interp *interp,
		   int argc, char **argv);




void set_colour(float r, float g, float b);


extern float Sim_time;
extern float Disp_time;
extern double Dtsim;
extern double DTdisp;
extern float Y;
extern int Sim;
extern float State[100];      // preallocate a large state vector

extern track trk;

